# Uses of Interface
org.eclipse.emf.cdo.spi.server.InternalTransaction

Packages that use InternalTransaction
Package
Description
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of InternalTransaction in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return InternalTransaction
Modifier and Type
Method
Description
`InternalTransaction`
InternalCommitContext.`getTransaction()`
`InternalTransaction`
InternalSession.`openTransaction(int viewID, CDOBranchPoint branchPoint)`
`InternalTransaction`
InternalSession.`openTransaction(int viewID, CDOBranchPoint branchPoint, String durableLockingID)`
Methods in org.eclipse.emf.cdo.spi.server with parameters of type InternalTransaction
Modifier and Type
Method
Description
`InternalCommitContext`
InternalRepository.`createCommitContext(InternalTransaction transaction)`
`InternalCommitContext`
InternalCommitManager.`get(InternalTransaction transaction)`
`void`
InternalCommitManager.`waitForTermination(InternalTransaction transaction)`
Waiting for a commit to be done.